Problem importing xml backup file

Hi,

I have a confluence backup from a 4.3.2 instance and i'm trying to restore the file in a confluence version 5.5.6. I'm getting the following error message:


Import failed. Check your server logs for more information. com.atlassian.confluence.importexport.ImportExportException: Unable to complete import: Error while importing backup: Failed to lazily initialize a collection

Anyone one have an idea of what could be causing this?

Thanks in advance!

3 answers

1 accepted

1 vote
Answer accepted

Howdy Omar!

I'd futher recommend importing the 4.3.2 backup to an instance of 4.3.2 and then perform an upgrade to 5.5.6 directly from that. While Confluence does support backwards compatibility for XML backups, this does not include doing a restore of a different major version (ie. 4.x to 5.x) per Restoring a Site.

To fix the error you are getting, setting the database to use UTF-8 as outlined in Alexey's first link should do the trick, but please consider my recommendation.

Cheers,

Stephen Brannen | Confluence Support

Hi Stephen, I tried your solution and it worked perfectly.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Mar 12, 2019 in Confluence

Confluence Admin Certification now $150 for Community Members

More and more people are building their careers with Atlassian, and we want you to be at the front of this wave! Important Dates Start the Certification Prep Course by 2 April 2019 Take your e...

867 views 2 13
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you